Package com.mouseviator.fsuipc.helpers.avionics

# Class NAV1Helper

java.lang.Object
com.mouseviator.fsuipc.helpers.avionics.RadioHelper
com.mouseviator.fsuipc.helpers.avionics.NavRadioHelper
com.mouseviator.fsuipc.helpers.avionics.NAV1Helper

    public class NAV1Helper
    extends NavRadioHelper

This class provides methods that return data requests to gather/set various data from/to flight simulator NAV1 radio. The returned requests are usually modified to return user-friendly data type, even thought the underlying data type may be different. It uses the `RadioHelper` class for common functionality.

Author:
  Murdock

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.mouseviator.fsuipc.helpers.avionics.NavRadioHelper

  `NavRadioHelper.BackCourseFlags, NavRadioHelper.CodeFlags, NavRadioHelper.ToFromFlag`

- ## Field Summary

  ### Fields inherited from class com.mouseviator.fsuipc.helpers.avionics.NavRadioHelper

  `backCourseFlagOffset, CDINeedleOffset, codeFlagsOffset, dmeDistanceOffset, dmeSpeedOffset, dmeTimeToStationOffset, elevationOffset1, elevationOffset2, GSFlagOffset, GSINeedleOffset, identityOffset, ilsGlideSlopeInclinationOffset, ilsInverseRunwayHeadingOffset, latitudeOffset1, latitudeOffset2, localiserNeedleOffset, longitudeOffset1, longitudeOffset2, MagVarOffset, nameOffset, OBSSettingOffset, radialOffset, signalStrengthOffset, ToFromFlagOffset, VORrelativeBearingOffset`

  ### Fields inherited from class com.mouseviator.fsuipc.helpers.avionics.RadioHelper

  `frequencyOffset, frequencySwapValue, standbyFrequencyOffset`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NAV1Helper()` |

- ## Method Summary

  ### Methods inherited from class com.mouseviator.fsuipc.helpers.avionics.NavRadioHelper

  `getBackCourseFlags, getCDINeedle, getCodeFlags, getDMEDistance, getDMESpeed, getDMETimeToStation, getElevation1, getElevation2, getGSFlag, getGSINeedle, getIdentity, getILSGlideslopeInclination, getILSLocaliserInverseRunwayHeading, getLatitude1, getLatitude2, getLocaliserNeedle, getLongitude1, getLongitude2, getMagneticVariation, getName, getOBSSettings, getRadial, getSignalStrength, getToFromFlag, getVORRelativeBearing`

  ### Methods inherited from class com.mouseviator.fsuipc.helpers.avionics.RadioHelper

  `getFrequency, getStandByFrequency, swapFrequencies`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NAV1Helper

    public NAV1Helper()